Bug 134350 - FC3 release notes -- smb vs firewall
FC3 release notes -- smb vs firewall
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
Reported: 2004-10-01 11:41 EDT by Ed Bailey
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 11:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Bailey 2004-10-01 11:41:28 EDT
Basically, with the default firewall enabled, SMB browsing doesn't work:

The rule talks about Gnome, but all clients doing SMB browsing are
affected unless you set up a WINS server and configure samba to use it.
Comment 1 Alexander Larsson 2004-10-01 11:43:12 EDT
eh, s/rule/bug/
Comment 2 Ed Bailey 2004-10-01 16:37:25 EDT
So, at present there's no workaround; is one anticipated in time for
FC3 gold?

I'm trying to figure out whether I need to write a "this is currently
broken for test3; for now, disabling your firewall is the only way to
make it work" kind of entry, or a "This is a limitation of the
software; deal with it" kind of entry... :-)

btw, about your email sig; I think it should be "Together, they fight
crime!"  Yeah, I know it's picky, but I'm a writer -- I'm paid to be
picky about stuff like this... :-)
Comment 3 Bill Nottingham 2004-10-02 00:22:50 EDT
Well, test3 behaves the same way as every release since... 7.1? 7.2?
So, not sure 'this is currently broken for test3' is the right statement.
Comment 4 Ed Bailey 2004-10-02 10:54:11 EDT
Can someone with a bit more samba mojo than me suggest some text for this?
Comment 5 Alexander Larsson 2004-10-04 04:32:06 EDT
Since the fix requires kernel changes which has to go upstream, which
is slow, it seems its unlikely that the fix will be in fc3.

I'm not a writer, nor am i a samba guru, but what about this for a start:

If the firewall is enabled, browsing of windows shares (SMB browsing)
doesn't work in clients like Nautilus. The firewall breaks the
broadcast mode of SMB browsing, which is the default setting of samba.
There are two basic workarounds to make SMB browsing work. You can
either disable the firewall, or you can set up a WINS server on the
network and set the "wins server" option in smb.conf to the address of
the server.

We should probably also reference the bug:
Comment 6 Ed Bailey 2004-10-04 11:23:15 EDT
Thanks for the text; it really helped me to get my head around this
one.  Here's what I currently have; since I'm supposed to deliver the
test3 release notes in about a half-hour, unless I hear otherwise, I'm
going to assume that this text is ok:

Browsing of Windows shares (also known as SMB browsing) fails on
Fedora Core 2.92 Test 3 systems that have the standard firewall
configured. This is most easily noticed in the failure of Nautilus to
display shares. The failure is due to the firewall disrupting the
broadcast mode of SMB browsing, which is Samba's default setting.
There are two workarounds:

* Configure a WINS server on the network, and set the "wins server"
option in smb.conf to the address of the WINS server.

* Disable the firewall


Depending on your system and network configurations, disabling the
firewall can greatly increase the chance of your system being attacked
and compromised. Make sure you fully understand the risks before
undertaking this step.

For additional information, refer to the following bug report:


(If you see something that should be fixed, please reopen this bug,
and we'll get it fixed for FC3 final.  Thanks again for your help!)

Note You need to log in before you can comment on or make changes to this bug.